4Suite™ API Documentation

# ► Module Ft.Server.Server.SCore.RdfDocumentImp

RdfDocument repository resource class
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RdfDocumentImp

## Classes

class RdfDocumentImp(Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp)
An RDF Document is a document that represents a set of RDF triples. Nothing is actually stored in the Repo as far as an XML file goes.

### Methods

complete(self, subject=None, predicate=None, object=None)
Perform a complete within this scope
deserializeAndAdd(self, src)
Deserialize a source document and add the resulting statements to a scope
deserializeAndRemove(self, src)
Deserialize a source document and remove the resulting statements from the scope
getContent(self, nssMap=None)
newContent(self, src)
setContent(self, src)

### Methods inherited from class Ft.Server.Server.SCore.XmlDocumentImp.XmlDocumentImp

expandXLink, getDocumentDefinition, getValidationInfo, setDocumentDefinition

### Methods inherited from class Ft.Server.Server.SCore.RawFileImp.RawFileImp

asSchematron, asStylesheet, getContentResource, getImt, getMetaDataResource, setImt

### Methods inherited from class Ft.Server.Server.SCore.ResourceMetaDataImp.ResourceMetaDataImp

__init__, __str__, addAcl, addAlias, addLiteralProperty, addResourceProperty, applyXslt, asDom, delete, fetchResource, getAbsolutePath, getAbsolutePathAsUri, getAcl, getAclIdent, getAclIdentifiers, getAliases, getBasePath, getContentSlice, getCreationDate, getDisplayPath, getExtFunctionsAndElements, getLastModifiedDate, getModel, getName, getOwner, getParent, getPath, getResourceType, getRoot, getSize, getStatementsAbout, getStatementsGeneratedBy, hasResource, inheritAcl, isResourceType, markTemporary, removeAcl, removeAlias, removeLiteralProperty, removeResourceProperty, setAcl, setOwner, toXPathContext, verifyAcl, xUpdate

### Fields

resourceType = 12